Package Scientific :: Package Visualization :: Module PyMOL :: Class Scene

[frames] | no frames]

# Class Scene

PyMOL scene

A PyMOL scene is a collection of graphics objects that can be loaded into PyMOL.

Instance Methods

PyMOLObject

__getitem__(self, item) Returns: the graphics object at the index position |

__init__(self, objects=None, **options) |

`int`

__len__(self) Returns: the number of graphics objects in the scene |

addObject(self, object) |

view(self, name=`'``external graphics``'`) Load the scene into PyMOL |

writeToFile(self, filename, delete=0) File I/O is not supported for PyMOL |

Method Details

### __getitem__(self, item)
(Indexing operator)

Parameters:
  - `item` (`int`) - an index
Returns: PyMOLObject
  the graphics object at the index position

### __init__(self, objects=None, **options)
(Constructor)

Parameters:
  - `objects` (`list` or `NoneType`) - a list of graphics objects, or `None` for an empty scene
  - `options` - options as keyword arguments. This is provided for compatibility only, no options have any effect for PyMOL graphics.

### __len__(self)
(Length operator)

Returns: `int`
  the number of graphics objects in the scene

### addObject(self, object)

Parameters:
  - `object` (PyMOLObject) - a graphics object to be added to the scene

### view(self, name=`'``external graphics``'`)

Load the scene into PyMOL

Parameters:
  - `name` - the name of the PyMOL object corresponding to the scene

### writeToFile(self, filename, delete=0)

File I/O is not supported for PyMOL

Raises:
  - `ValueError` - always